USERMOD(8)

NOME
usermod - modifica l'account di un utente

SINOSSI

usermod [opzioni] LOGIN

DESCRIZIONE

Il comando usermod modifica i file di account del sistema in modo da riflettere i cambiamenti che sono specificati sulla riga di comando.

OPZIONI

Il comando usermod accetta le seguenti opzioni:

-a, --append
    Aggiunge l'utente al/i gruppo/i supplmentare/i. Usare solo con l'opzione -G.

-c, --comment COMMENTO
    Il nuovo valore per il campo commento dell'utente nel file password. Normalmente viene modificato usando l'utilità chfn(1).

-d, --home HOME_DIR
    La nuova directory home dell'utente.

    Se è data l'opzione -m il contenuto della directory home corrente sarà spostato nella nuova directory home, che viene creata se non esiste già.

-e, --expiredate DATA_SCADENZA
    La data in cui l'account dell'utente verrà disabilitato. La data è specificata nel formato AAAA-MM-GG.

    Un argomento DATA_SCADENZA vuoto disabilita la scadenza dell'account.

    Questa opzione richiede il file /etc/shadow. Se non c'è ancora viene creata una voce nel file /etc/shadow.

-f, --inactive INATTIVO
    Il numero di giorni dopo la scadenza di una password prima che l'account venga disabilitato permanentemente.

    Il valore 0 disabilita l'account non appena la password è scaduta, e il valore -1 disabilita questa funzionalità.

    Questa opzione richiede il file /etc/shadow. Se non c'è ancora viene creata una voce nel file /etc/shadow.

-g, --gid GRUPPO
    Il nome o numero del gruppo da assegnare alla connessione dell'utente. Il gruppo deve esistere.

    Tutti i file nella directory home dell'utente che hanno come gruppo il precedente gruppo primario dell'utente stesso verranno modificati perché abbiano questo nuovo gruppo.

    Il gruppo dei file che si trovano all'esterno della directory home dell'utente andrà modificato manualmente.

-G, --groups GRUPPO1[,GRUPPO2,...[,GRUPPON]]]
    Una lista di gruppi supplementari di cui l'utente è altresì membro. Ciascun gruppo è separato dal successivo da una virgola, senza spazi bianchi intermedi. I gruppi sono soggetti alle stesse restrizioni del gruppo dato con l'opzione -g.

    Se l'utente è attualmente membro di un gruppo che non è elencato, l'utente verrà rimosso dal gruppo. Questo comportamento può essere cambiato con l'opzione -a che aggiunge all'utente i gruppi supplementari dei quali fa attualmente parte.

-l, --login NUOVO_LOGIN
    Il nome dell'utente verrà cambiato da LOGIN a NUOVO_LOGIN. Niente altro viene cambiato. In particolare, la directory home dell'utente e la casella di posta dovrebbero probabilmente essere modificate manualmente in modo da riflettere il nuovo nome di login.

-L, --lock
    Blocca la password di un utente. Questo inserisce un «!» davanti alla password cifrata, disabilitandola. Non si può utilizzare questa opzione con le opzioni -p e -U.

    Nota: se si vuole bloccare l'account (non solo l'accesso tramite password), si deve anche impostare DATA_SCADENZA a 1.

-m, --move-home
    Sposta il contenuto della directory home di un utente nella nuova posizione.

    Questa opzione è valida solo in combinazioone con l'opzione -d (o --home).

    usermod cercherà di adattare la proprietà dei file e di copiare i permessi, le ACL e gli attributi estesi, ma successive modifiche manuali potrebbe comunque essere necessarie.

-o, --non-unique
    Quando è usata con l'opzione -u questa opzione permette di modificare l'ID utente in un valore non univoco.

-p, --password PASSWORD
    La passwird cifrata, così come viene restituita da crypt(3).

    Nota: questa opzione non è consigliata perché la password (o password cifrata) sarà visibile agli utenti che elencano i processi.

    Ci si deve accertare che la password rispetti le norme delle password del sistema.

-R, --root CHROOT_DIR
    Effettua le modifiche nella directory CHROOT_DIR e usa i file di configurazione dalla directory CHROOT_DIR.

-P, --prefix PREFIX_DIR
    Apply changes in the PREFIX_DIR directory and use the configuration files from the PREFIX_DIR directory. This option does not chroot and is intended for preparing a cross-compilation target. Some limitations: NIS and LDAP users/groups are not verified. PAM authentication is using the host files. No SELINUX support.

-s, --shell SHELL
    Il nome della nuova shell di login dell'utente. Lasciando questo campo vuoto si fa in modo che il sistema selezioni la shell di login predefinita.

-u, --uid UID
    Il nuovo valore numerico dell'ID utente.

    Questo valore deve essere univoco, a meno che non sia utilizzata l'opzione -o. Il valore non può essere negativo.

    La casella di posta dell'utente e ogni altro file di proprietà dell'utente che si trovi all'interno della directory home avrà l'ID utente cambiato automaticamente.

    La proprietà dei file esterni alla directory home dell'utente va corretta manualmente.

    Non vengono fatti controlli riguardo UID_MIN, UID_MAX, SYS_UID_MIN o SYS_UID_MAX dal file /etc/login.defs.

-U, --unlock
    Sblocca la password di un utente. Questo rimuove il «!» davanti alla password cifrata. Non si può usare questa opzione con l'opzione -p o -L.

    Nota: se si vuole sbloccare l'account (non solo l'accesso con password) si deve anche impostare DATA_SCADENZA (per esempio a 99999 o al valore EXPIRE dal file /etc/default/useradd).

-v, --add-subuids FIRST-LAST
    Add a range of subordinate uids to the user's account.

    This option may be specified multiple times to add multiple ranges to a users account.

    No checks will be performed with regard to SUB_UID_MIN, SUB_UID_MAX, or SUB_UID_COUNT from /etc/login.defs.

-V, --del-subuids FIRST-LAST
    Remove a range of subordinate uids from the user's account.

    This option may be specified multiple times to remove multiple ranges to a users account. When both --del-subuids and --add-subuids are specified, the removal of all subordinate uid ranges happens before any subordinate uid range is added.

    No checks will be performed with regard to SUB_UID_MIN, SUB_UID_MAX, or SUB_UID_COUNT from /etc/login.defs.

-w, --add-subgids FIRST-LAST
    Add a range of subordinate gids to the user's account.

    This option may be specified multiple times to add multiple ranges to a users account.

    No checks will be performed with regard to SUB_GID_MIN, SUB_GID_MAX, or SUB_GID_COUNT from /etc/login.defs.

-W, --del-subgids FIRST-LAST
    Remove a range of subordinate gids from the user's account.

    This option may be specified multiple times to remove multiple ranges to a users account. When both --del-subgids and --add-subgids are specified, the removal of all subordinate gid ranges happens before any subordinate gid range is added.

    No checks will be performed with regard to SUB_GID_MIN, SUB_GID_MAX, or SUB_GID_COUNT from /etc/login.defs.

-Z, --selinux-user UTENTESE
    Il nuovo utente SELinux per il login dell'utente.

    Un UTENTESE vuoto rimuoverà la mappatura per l'utente SELinux da LOGIN (se presente).

AVVISI/CAVEAT

You must make certain that the named user is not executing any processes when this command is being executed if the user's numerical user ID, the user's name, or the user's home directory is being changed. usermod checks this on Linux. On other platforms it only uses utmp to check if the user is logged in.

Si deve cambiare manualmente il proprietario di eventuali file crontab e compiti at.

Si devono apportare tutte le modifiche che riguardano NIS sul server NIS.

CONFIGURAZIONE

Le seguenti variabili di configurazione in /etc/login.defs cambiano il comportamento di questo strumento:

MAIL_DIR (testo)
    La directory di spool per la posta. Questa è necessaria per manipolare la casella di posta quando il corrispondente account utente viene modificato o cancellato. Se non è specificata viene utilizzato un valore impostato al momento della compilazione.

MAIL_FILE (testo)
    Imposta la posizione delle caselle di posta degli utenti relative alla loro directory home.

Le variabili MAIL_DIR e MAIL_FILE vengono utilizzate da useradd, usermod e userdel per creare, spostare e cancellare le caselle di posta dell'utente.

Se MAIL_CHECK_ENAB è impostata a yes allora sono anche utilizzate per impostare la variabile d'ambiente MAIL.

MAX_MEMBERS_PER_GROUP (numero)
    Numero massimo di membri per gruppo. Quando viene raggiunto il massimo, viene creata una nuova riga per il gruppo nel file /etc/group (con lo stesso nome, stessa password e stesso GID).

    Il valore predefinito è 0, che non pone nessun limite al numero di membri per gruppo.

    Questa opzione (dividi gruppo) permette di limitare la lunghezza delle righe nel file «group». Questo è utile per essere certi che le righe per gruppi NIS non eccedano i 1024 caratteri.

    Se si deve impostare questo limite, si può usare 25.

    Nota: la divisione dei gruppi potrebbe non essere supportata da ogni strumento (anche all'interno del pacchetto Shadow). Non si dovrebbe utilizzare questa variabile a meno di esserci forzati.

SUB_GID_MIN (number), SUB_GID_MAX (number), SUB_GID_COUNT (number)
    If /etc/subuid exists, the commands useradd and newusers (unless the user already have subordinate group IDs) allocate SUB_GID_COUNT unused group IDs from the range SUB_GID_MIN to SUB_GID_MAX for each new user.

    The default values for SUB_GID_MIN, SUB_GID_MAX, SUB_GID_COUNT are respectively 100000, 600100000 and 10000.

SUB_UID_MIN (number), SUB_UID_MAX (number), SUB_UID_COUNT (number)
    If /etc/subuid exists, the commands useradd and newusers (unless the user already have subordinate user IDs) allocate SUB_UID_COUNT unused user IDs from the range SUB_UID_MIN to SUB_UID_MAX for each new user.

    The default values for SUB_UID_MIN, SUB_UID_MAX, SUB_UID_COUNT are respectively 100000, 600100000 and 10000.

FILE

/etc/group
    Informazioni sugli account di gruppo.

/etc/gshadow
    Informazioni sicure sugli account di gruppo.

/etc/login.defs
    Configurazione del pacchetto password shadow

/etc/passwd
    Informazioni sugli account utente.

/etc/shadow
    Informazioni sicure sugli account utente.

/etc/subgid
    Per user subordinate group IDs.

/etc/subuid
    Per user subordinate user IDs.

VEDERE ANCHE

chfn(1), chsh(1), passwd(1), crypt(3), gpasswd(8), groupadd(8), groupdel(8), groupmod(8), login.defs(5), subgid(5), subuid(5), useradd(8), userdel(8).